Subject: Re: Cycad sources

From: [email-masked]
Date: Sun, 8 Oct 95 10:36:00 PST

HI! Try writing to Aloha Tropicals, 13674 Soper Avenue, Chino, California
91710. Send a few bucks and they will send a catalogue. They specialize in
palms and cycads and do ship to Canada. If you want more sources try to find
a copy of the book, "Gardening by Mail" by Barbara Barton (1994). If you
can't find the book, e-mail me at [email-masked]